Gets all content present for a particular workflow job. Content includes any Media Nicknames, Labels and/or Attachments.
curl --request GET \
--url https://api.up.telestream.com/workflow/api/v1/{space_id}/workflows/{workflow_id}/jobs/{workflow_job_id}/content \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.up.telestream.com/workflow/api/v1/{space_id}/workflows/{workflow_id}/jobs/{workflow_job_id}/content"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.up.telestream.com/workflow/api/v1/{space_id}/workflows/{workflow_id}/jobs/{workflow_job_id}/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": {
"media_nicknames": [
{
"name": [
"CML"
],
"description": [
"A version of material capable of being used in CML solutions."
],
"identifier": [
"8a60b468-0895-4dba-9489-7f4fe93549c5"
],
"files": [
"<string>"
]
}
],
"attachments": [
{
"name": [
"CML"
],
"description": [
"A version of material capable of being used in CML solutions."
],
"identifier": [
"8a60b468-0895-4dba-9489-7f4fe93549c5"
],
"file": "<string>"
}
],
"labels": [
{
"name": [
"CML"
],
"description": [
"A version of material capable of being used in CML solutions."
],
"identifier": [
"8a60b468-0895-4dba-9489-7f4fe93549c5"
],
"parameters": [
{
"name": [
"AudioChannels"
],
"typecode": [
"Int16"
],
"identifier": [
"8a0e8e0d-0000-0000-0000-000000000001"
],
"default_value": [
"1"
],
"value": [
"2"
],
"description": [
"This parameter controls the number of audio channels."
],
"minimum_value": [
"1"
],
"maximum_value": [
"10"
],
"increment_value": [
"1"
],
"options": [
{
"options": {
"option1": [
"red"
],
"option2": [
"green"
],
"option3": [
"blue"
]
}
}
]
}
]
}
]
}
}{
"code": 500,
"message": "An unexpected error occurred"
}{
"error_message": "You don't have permission to access this resource"
}{
"error_message": "404 Not found"
}{
"error_message": "500 internal error"
}job
Gets all content present for a particular workflow job. Content includes any Media Nicknames, Labels and/or Attachments.
GET
/
{space_id}
/
workflows
/
{workflow_id}
/
jobs
/
{workflow_job_id}
/
content
Gets all content present for a particular workflow job. Content includes any Media Nicknames, Labels and/or Attachments.
Authorizations
API key passed as a Bearer token in the Authorization header
Path Parameters
UP Space Id
Example:
"d290f1ee-6c54-4b01-90e6-d701748f0851"
Unique identifier of a Workflow
Example:
"e3c908ad-dc8f-4edb-88f7-c84dec0aef99"
workflow job id
Example:
"fe2ecbvw-8c9a-4d2b-9f0e-1a2b3c4d5e6f"
Response
Get the content (Job Binder) for a particular Workflow Job
Show child attributes
Show child attributes
⌘I
